<template>
    <div class="menu-item">
        <v-menu offset-y>
            <template v-slot:activator="{ on, attrs }">
                <v-btn rounded outlined color="#0ABBEF" v-bind="attrs" v-on="on">
                    <v-avatar color="#0ABBEF" size="36" style="margin-left: -16px">
                        <span class="white--text headline">{{ userInitials }}</span>
                    </v-avatar>
                    <span style="color: #0ABBEF">{{ title }}</span>
                </v-btn>
            </template>
            <v-list>
                <v-list-item-group mandatory color="#0BBBEF">
                    <v-list-item
                        v-for="(item, index) in items"
                        :key="index"
                        router :to="item.link">
                        <v-list-item-title>
                            <v-icon>{{ item.icon }}</v-icon>
                            {{ item.title }}
                        </v-list-item-title>
                    </v-list-item>
                </v-list-item-group>
            </v-list>
        </v-menu>
    </div>
</template>
<script>
export default {
    name: 'DropDown',
    props: ['title', 'items'],
    computed: {
        userInitials() {
            let initials = "";
            let user = this.title.split(" ");

            if (user?.[0])
                initials += user?.[0][0];
            if (user?.[1])
                initials += user?.[1][0];
            return initials.toUpperCase();
        },
    }
}
</script>
<style lang="css" scoped>
.btn {
    border-style: solid;
    border-radius: 10px;
    border-width: 2px;
    border-color: #0BBBEF;
}
</style>
